Bug 1270823 - [abrt] xsane: outb(): xsane killed by SIGSEGV
[abrt] xsane: outb(): xsane killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7f63f8dbccb0d3cc25d2c54f31c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 09:11 EDT by ledhrimm
Modified: 2015-12-02 13:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.33 KB, text/plain)
2015-10-12 09:11 EDT, ledhrimm
no flags Details
File: cgroup (191 bytes, text/plain)
2015-10-12 09:11 EDT, ledhrimm
no flags Details
File: core_backtrace (3.30 KB, text/plain)
2015-10-12 09:11 EDT, ledhrimm
no flags Details
File: dso_list (10.41 KB, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details
File: environ (1.94 KB, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details
File: exploitable (110 bytes, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details
File: maps (51.54 KB, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details
File: open_fds (937 bytes, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2015-10-12 09:12 EDT, ledhrimm
no flags Details

  None (edit)
Description ledhrimm 2015-10-12 09:11:53 EDT
Version-Release number of selected component:
xsane-0.999-16.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        xsane
crash_function: outb
executable:     /usr/bin/xsane
kernel:         3.18.17-6.pvops.qubes.x86_64
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 outb at /usr/include/sys/io.h:98
 #1 qc_reset at qcam.c:666
 #2 attach at qcam.c:1150
 #3 sane_qcam_init at qcam.c:1487
 #4 init at dll.c:615
 #5 sane_dll_get_devices at dll.c:1056
 #6 xsane_init at ../../src/xsane.c:6078
 #7 xsane_interface at ../../src/xsane.c:6143
Comment 1 ledhrimm 2015-10-12 09:11:57 EDT
Created attachment 1082005 [details]
File: backtrace
Comment 2 ledhrimm 2015-10-12 09:11:58 EDT
Created attachment 1082006 [details]
File: cgroup
Comment 3 ledhrimm 2015-10-12 09:11:59 EDT
Created attachment 1082007 [details]
File: core_backtrace
Comment 4 ledhrimm 2015-10-12 09:12:01 EDT
Created attachment 1082008 [details]
File: dso_list
Comment 5 ledhrimm 2015-10-12 09:12:02 EDT
Created attachment 1082009 [details]
File: environ
Comment 6 ledhrimm 2015-10-12 09:12:03 EDT
Created attachment 1082010 [details]
File: exploitable
Comment 7 ledhrimm 2015-10-12 09:12:05 EDT
Created attachment 1082011 [details]
File: limits
Comment 8 ledhrimm 2015-10-12 09:12:06 EDT
Created attachment 1082012 [details]
File: maps
Comment 9 ledhrimm 2015-10-12 09:12:07 EDT
Created attachment 1082013 [details]
File: open_fds
Comment 10 ledhrimm 2015-10-12 09:12:12 EDT
Created attachment 1082014 [details]
File: proc_pid_status
Comment 11 Nils Philippsen 2015-10-13 12:35:13 EDT
What did you do before it crashed? Can you reproduce it? If so, please try to reproduce it with version 1.0.25 of sane-backends which is in updates-testing now:

https://bodhi.fedoraproject.org/updates/FEDORA-2015-8adf20e71f
Comment 12 Fedora End Of Life 2015-11-04 05:11:57 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 ledhrimm 2015-11-09 12:00:08 EST
Hello,

I only try to launch the prog and then it crash.
From GUI or even from CLI.

thx
Comment 14 Fedora End Of Life 2015-12-02 10:39:39 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.